// http://youtu.be/gPGOPkj9sSQ
//  код для приемника
#include <VirtualWire.h>
#include <EasyTransferVirtualWire.h>
#include <Wire.h>
  
EasyTransferVirtualWire ET; 

struct SEND_DATA_STRUCTURE 
{
  //put your variable definitions here for the data you want to send
  //THIS MUST BE EXACTLY THE SAME ON THE OTHER ARDUINO
  //Struct can'e be bigger then 26 bytes for VirtualWire version
  byte ID;
  long TempDHT = 0;
  long HumDHT = 0;  
  long Pressure = 0;

};

//give a name to the group of data
SEND_DATA_STRUCTURE mydata1;
  byte ID;
  long TempDHT = 0;
  long HumDHT = 0;  
  long Pressure = 0;




void setup(){
  Serial.begin(9600);
  //start the library, pass in the data details
  ET.begin(details(mydata1));

  // Initialise the IO and ISR
  vw_set_ptt_inverted(true); // Required for DR3100 
  vw_setup(2000);      // Bits per sec Скорость порта
  vw_set_rx_pin(8);    //порт к которому подключен приемник 433 мГц
  vw_rx_start();       // Start the receiver PLL running
 
 
  
  
}

void loop(){
 
  //check and see if a data packet has come in. 
  if(ET.receiveData()){
    //this is how you access the variables. [name of the group].[variable name]
    //since we have data, we will blink it out. 
    if (mydata1.ID == 1)
    {
       float TempDHT= (mydata1.TempDHT);
       TempDHT = ((TempDHT)/100);
       float HumDHT = (mydata1.HumDHT);
       HumDHT = ((HumDHT)/100);
       float Pressure = (mydata1.Pressure);
       Pressure = ((Pressure)/100);
       
  
  
  
  Serial.print(TempDHT);                                 //Вывод информации в COM порт   
  Serial.print(" C");
  Serial.println(" -TempDHT ");
 
  
  Serial.print(HumDHT);   // Температуру в градусах Цельсия 
  Serial.print(" %");
  Serial.println(" -Vlazhnost`");
   
  Serial.print(Pressure);  //Выводим давление в мм.рт ст
  Serial.print(" mmHg");
  Serial.println(" -Davlenie ");
  Serial.println();
  Serial.println("-----------------");
  Serial.println();
  
  
 }

        // sprintf(buf, "GET /objects/?object=tempDet&op=m&m=tempChanged&t=%0d.%d", (int)TempBMP, abs(temp1));
       // sendHTTPRequest();
      // delay(500);
     //  sprintf(buf, "GET /objects/?object=tempDS18B20_1&op=m&m=tempChanged&t=%0d.%d", (int)TempDS, abs(temp2)); 
    //  sendHTTPRequest();
     
  }

}

