
#include <VirtualWire.h>
#include <EasyTransferVirtualWire.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27,16,2);
//create object
EasyTransferVirtualWire ET; 

struct SEND_DATA_STRUCTURE 
{
  //put your variable definitions here for the data you want to send
  //THIS MUST BE EXACTLY THE SAME ON THE OTHER ARDUINO
  //Struct can'e be bigger then 26 bytes for VirtualWire version
  byte ID;
  long TemperatureBMP = 0;
  long TemperatureDS = 0; 
  long Pressure = 0;

};

//give a name to the group of data
SEND_DATA_STRUCTURE mydata;
  byte ID;
  long TemperatureBMP = 0;
  long TemperatureDS = 0; 
  long Pressure = 0;


//сервер
//char buf[80];

//Функция отправки HTTP-запроса на сервер
//void sendHTTPRequest() {
 //Serial.println(buf); 
//}

void setup(){
  //start the library, pass in the data details
  ET.begin(details(mydata));
  Serial.begin(9600);
  // Initialise the IO and ISR
  vw_set_ptt_inverted(true); // Required for DR3100 
  vw_setup(2000);      // Bits per sec Скорость порта
  vw_set_rx_pin(3);    //порт к которому подключен приемник 433 мГц
  vw_rx_start();       // Start the receiver PLL running
 
  lcd.init(); // Инициализируем экран
  lcd.backlight(); //Включаем подсветку
  
  
}

void loop(){
 
  //check and see if a data packet has come in. 
  if(ET.receiveData()){
    //this is how you access the variables. [name of the group].[variable name]
    //since we have data, we will blink it out. 
    if (mydata.ID == 1)
    {
       int TempBMP= (mydata.TemperatureBMP);
       TempBMP = ((TempBMP)/100);
       float TempDS= (mydata.TemperatureDS);
       TempDS = ((TempDS)/100);
       float Pressure2= (mydata.Pressure);
       Pressure2 = ((Pressure2)/100);
       
  // Serial.print(TempBMP);                                 //Вывод информации в COM порт   
 // Serial.println(", TempBMP:");
   // Температуру в градусах Цельсия
  Serial.print(TempDS);
  Serial.print(" C°,");
     // Температуру в градусах Цельсия  
  Serial.print(Pressure2);
  Serial.print(" mm/");
    //Выводим давление в мм.рт ст
  Serial.println();
  Serial.println();
  delay(1000);
  
                                      //Вывод информации на  LCD Экран
  lcd.clear();//очищаем экран от старых данных
  lcd.setCursor(0,0);//Устанавливаем курсор в начало первой строки
  lcd.print("T1:");//Выводим первую температуру
  lcd.print(TempDS);
  lcd.setCursor(8,0);// устанавливаем курсор на 8 позицию в первой строке
  lcd.print(" T2:");//Выводим вторую температуру
  lcd.print(TempBMP);
//аналогично выводим вторую строку
  lcd.setCursor(0,1);//Устанавливаем курсор в начало второй строки
  lcd.print("Davlenie:");//Выводим давление
  lcd.print(Pressure2);
              }

        }

}

